<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'Globe',
});
</script>

<template>
  <div class="glow">
    <svg
      width="730"
      height="735"
      viewBox="0 0 730 735"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <g opacity="0.5">
        <path
          style="mix-blend-mode: screen"
          d="M189.538 507.395C294.017 507.395 378.715 422.67 378.715 318.157C378.715 213.643 294.017 128.918 189.538 128.918C85.0579 128.918 0.360352 213.643 0.360352 318.157C0.360352 422.67 85.0579 507.395 189.538 507.395Z"
          fill="url(#paint0_radial_290_11363)"
        />
        <path
          style="mix-blend-mode: screen"
          d="M613.771 380.897C677.946 316.702 677.946 212.62 613.771 148.425C549.596 84.2294 445.549 84.2294 381.374 148.425C317.2 212.62 317.2 316.702 381.374 380.897C445.549 445.093 549.596 445.093 613.771 380.897Z"
          fill="url(#paint1_radial_290_11363)"
        />
        <path
          style="mix-blend-mode: screen"
          d="M520.949 593.357C599.109 515.171 599.109 388.406 520.949 310.219C442.788 232.033 316.064 232.033 237.903 310.219C159.742 388.405 159.742 515.171 237.903 593.357C316.064 671.543 442.788 671.543 520.949 593.357Z"
          fill="url(#paint2_radial_290_11363)"
        />
        <path
          style="mix-blend-mode: screen"
          d="M362.382 347.237C458.045 347.237 535.595 269.661 535.595 173.967C535.595 78.2735 458.045 0.698242 362.382 0.698242C266.719 0.698242 189.169 78.2735 189.169 173.967C189.169 269.661 266.719 347.237 362.382 347.237Z"
          fill="url(#paint3_radial_290_11363)"
        />
      </g>
      <defs>
        <radialGradient
          id="paint0_radial_290_11363"
          cx="0"
          cy="0"
          r="1"
          gradientUnits="userSpaceOnUse"
          gradientTransform="translate(189.568 318.109) rotate(-22.3866) scale(189.186 189.23)"
        >
          <stop stop-color="#67D2BA" />
          <stop offset="0.14" stop-color="#50A390" />
          <stop offset="0.34" stop-color="#33695D" />
          <stop offset="0.52" stop-color="#1D3C35" />
          <stop offset="0.68" stop-color="#0D1B18" />
          <stop offset="0.81" stop-color="#030706" />
          <stop offset="0.9" />
        </radialGradient>
        <radialGradient
          id="paint1_radial_290_11363"
          cx="0"
          cy="0"
          r="1"
          gradientUnits="userSpaceOnUse"
          gradientTransform="translate(497.599 264.583) rotate(-22.3866) scale(164.337 164.375)"
        >
          <stop stop-color="#FFD58C" />
          <stop offset="0.05" stop-color="#EAC380" />
          <stop offset="0.23" stop-color="#A4895A" />
          <stop offset="0.41" stop-color="#69583A" />
          <stop offset="0.57" stop-color="#3C3220" />
          <stop offset="0.71" stop-color="#1B160E" />
          <stop offset="0.82" stop-color="#070603" />
          <stop offset="0.9" />
        </radialGradient>
        <radialGradient
          id="paint2_radial_290_11363"
          cx="0"
          cy="0"
          r="1"
          gradientUnits="userSpaceOnUse"
          gradientTransform="translate(379.474 451.723) rotate(-22.3866) scale(200.153 200.199)"
        >
          <stop stop-color="#E24329" />
          <stop offset="0.18" stop-color="#A3301D" />
          <stop offset="0.37" stop-color="#691F13" />
          <stop offset="0.54" stop-color="#3C110A" />
          <stop offset="0.69" stop-color="#1B0804" />
          <stop offset="0.82" stop-color="#070201" />
          <stop offset="0.9" />
        </radialGradient>
        <radialGradient
          id="paint3_radial_290_11363"
          cx="0"
          cy="0"
          r="1"
          gradientUnits="userSpaceOnUse"
          gradientTransform="translate(358.584 174.877) rotate(-22.3866) scale(172.434 172.474)"
        >
          <stop stop-color="#A989F5" />
          <stop offset="0.03" stop-color="#A183EA" />
          <stop offset="0.22" stop-color="#715BA4" />
          <stop offset="0.39" stop-color="#483B69" />
          <stop offset="0.56" stop-color="#29213C" />
          <stop offset="0.7" stop-color="#120F1B" />
          <stop offset="0.82" stop-color="#040407" />
          <stop offset="0.9" />
        </radialGradient>
      </defs>
    </svg>
  </div>
</template>

<style lang="scss" scoped>
.glow {
  mix-blend-mode: screen;
  opacity: 0.7;
  top: -22%;
  left: 0%;
  position: absolute;
  width: 107.2%;
  svg {
    width: 100%;
    height: 100%;
  }
}
@keyframes glow {
  from {
    transform: scale3d(0.9, 0.9, 1);
  }
  to {
    transform: scale3d(1, 1, 1);
  }
}
</style>
